Data Scanners - Delete
Deletes a data scanner resource for the specified scope.
DELETE https://management.azure.com/{scopeId}/providers/Microsoft.Security/dataScanners/{scannerName}?api-version=2026-08-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
scanner
|
path | True |
string pattern: ^[a-zA-Z0-9-]{1,260}$ |
The name of the data scanner. |
|
scope
|
path | True |
string |
The scope of the data scanner. Valid scopes are a subscription (format: 'subscriptions/{subscriptionId}') or a resource group (format: 'subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}'). |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Resource deleted successfully. |
|
| 204 No Content |
Resource does not exist. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
| Deletes a data scanner resource at resource group scope. |
| Deletes a data scanner resource at subscription scope. |
Deletes a data scanner resource at resource group scope.
Sample request
DELETE https://management.azure.com/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourceGroups/rg1/providers/Microsoft.Security/dataScanners/StorageDataScanner?api-version=2026-08-01
Sample response
Deletes a data scanner resource at subscription scope.
Sample request
DELETE https://management.azure.com/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/providers/Microsoft.Security/dataScanners/StorageDataScanner?api-version=2026-08-01
Sample response
Definitions
| Name | Description |
|---|---|
|
Common. |
Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.). |
|
Common. |
The error detail. |
|
Error |
The resource management error additional info. |
Common.CloudError
Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.).
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
Common.CloudErrorBody
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |